Analyst Trends
Analyst Upside
Retrieve stocks ranked by upside potential as determined by analyst price targets received in the last 3 months.
Parameters
page
number
The page number to retrieve.
Defaults to 1.
page_size
number
The number of items per page.
If specified, must be between 1 and 10000 inclusive.
Defaults to 100.
sort_by
string
The field to sort the results by.
One of upside_percent, bullish_percent, ratings_count.
Defaults to upside_percent.
sort_dir
string
The order to sort the results by.
One of asc, desc.
Defaults to desc.
market_cap
string
The market cap of securities to retrieve.
One or more of mega_cap, large_cap, mid_cap, small_cap, micro_cap, separated by commas.
Returns all market caps if not specified.
min_ratings_count
number
The minimum number of analyst ratings required for a stock in the result set.
Defaults to 3.
GET
/v1/analyst-trends/upside
Response
{
"page": 1,
"page_size": 100,
"has_more_pages": true,
"stocks": [
{
"ticker": "JD",
"price_target": 48.67,
"upside_percent": 32.57,
"bullish_percent": 100,
"ratings_count": 6
},
{
"ticker": "NVDA",
"price_target": 174.9,
"upside_percent": 32.5,
"bullish_percent": 93.1,
"ratings_count": 29
},
{
"ticker": "ACGL",
"price_target": 120.89,
"upside_percent": 32.35,
"bullish_percent": 66.67,
"ratings_count": 9
}
]
}